Skip to main content
PUT
/
api
/
v1
/
clusters
/
upcloud
/
{cluster_id}
/
node-groups
/
{group_name}
/
instance-type
Update Instance Type Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/upcloud/{cluster_id}/node-groups/{group_name}/instance-type"

payload = { "instance_type": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
{
  "group_name": "<string>",
  "updated": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid>
required
group_name
string
required

Body

application/json
instance_type
string
required

Response

Successful Response

group_name
string
required
updated
integer
required